Workspace settings
Get workspace settings
GET
/
v1
/
workspace
/
settings
Get workspace settings
curl --request GET \
--url https://api.veri.studio/v1/workspace/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/workspace/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/workspace/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"workspace_id": "<string>",
"third_party_judges": true,
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Response
The caller's workspace settings (defaults when never changed)
Always "workspace_settings".
Evaluators may send trace text to a third-party judge (TypeSafe's Jev). Off: jev evaluators can't be created and queued Jev work is skipped.
Null until the workspace changes a default.
Get workspace settings
curl --request GET \
--url https://api.veri.studio/v1/workspace/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/workspace/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/workspace/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"workspace_id": "<string>",
"third_party_judges": true,
"updated_at": "2023-11-07T05:31:56Z"
}
